Joomla! Update error Topic is solved

Need help upgrading your Joomla! website or converting to Joomla! 3.x?

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10.
Post Reply
witdba
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Sun Aug 16, 2020 4:10 pm

Joomla! Update error

Post by witdba » Tue Nov 17, 2020 11:41 pm

Hi.

I've got the following error after Components -> Joomla! Update menu command:

An error has occurred.
0 Could not connect to resource: http://update.joomla.org/core/list.xml

Update server is "Long Term Support".

Please help me to update Joomla! to the latest version.
Forum Post Assistant (v1.6.1) : 18-Nov-2020 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.1.5-Stable (Ember) 01-August-2013
Joomla! Platform :: Joomla Platform 12.2.0-Stable (Neil Armstrong) 21-September-2012
Joomla! Configured :: Yes | Read-Only (444) |
Configuration Options :: Offline: false | SEF: true | SEF Suffix: false | SEF ReWrite: true | .htaccess/web.config: Yes | GZip: false | Cache: true | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: N/A | FTP Layer: false | Proxy: N/A | LiveSite: | Session lifetime: 15 | Session handler: database | Shared sessions: N/A | SSL: 0 | Error Reporting: default | Site Debug: false | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysql | PHP Supports J! 3.1.5: Yes | Database Supports J! 3.1.5: Yes | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 3.2.0-4-amd64 | Technology: x86_64 | Web Server: Apache/2.2.22 | Encoding: gzip, deflate | System TMP Writable: Yes | Free Disk Space : 6.06 GiB |

PHP Configuration :: Version: 5.6.31 | PHP API: fpm-fcgi | Session Path Writable: Yes | Display Errors: | Error Reporting: 1 | Log Errors To: | Last Known Error: | Register Globals: | Magic Quotes: | Safe Mode: | Allow url fopen: 1 | Open Base: /var/www/clients/client326/web390/web:/var/www/clients/client326/web390/private:/var/www/clients/client326/web390/tmp:/var/www/fbmi.kpi.ua/web:/srv/www/fbmi.kpi.ua/web:/usr/share/php5:/usr/share/php:/tmp:/usr/share/phpmyadmin:/usr/share/phpmyadmin-old:/etc/phpmyadmin:/var/lib/phpmyadmin:/dev/random:/dev/urandom | Uploads: 1 | Max. Upload Size: 150M | Max. POST Size: 150M | Max. Input Time: 60 | Max. Execution Time: 30 | Memory Limit: 128M

Database Configuration :: Version: 5.5.60-0+deb7u1 (Client:mysqlnd 5.0.11-dev - 20120503 - $Id: 76b08b24596e12d4553bd41fc93cccd5bac2fe7a $) | Database Size: 14.89 MiB | #of Tables with config prefix:  128 | #of other Tables:  0 | User Privileges : GRANT ALL
Detailed Environment :: wrote:PHP Extensions :: Core (5.6.31) | date (5.6.31) | ereg () | libxml () | openssl () | pcre () | sqlite3 (0.7-dev) | zlib (2.0) | bcmath () | bz2 () | calendar () | ctype () | curl () | dom (20031129) | hash (1.0) | fileinfo (1.0.5) | filter (0.11.0) | ftp () | gd () | gettext () | SPL (0.2) | iconv () | session () | json (1.2.1) | mbstring () | mcrypt () | standard (5.6.31) | mysqlnd (mysqlnd 5.0.11-dev - 20120503 - $Id: 76b08b24596e12d4553bd41fc93cccd5bac2fe7a $) | pcntl () | PDO (1.0.4dev) | pdo_mysql (1.0.2) | pdo_pgsql (1.0.2) | pdo_sqlite (1.0.1) | pgsql () | Phar (2.0.2) | posix () | Reflection ($Id: 5f15287237d5f78d75b19c26915aa7bd83dee8b8 $) | imap () | SimpleXML (0.1) | soap () | sockets () | mysqli (0.1) | exif (1.4 $Id: 1c8772f76be691b7b3f77ca31eb788a2abbcefe5 $) | sysvsem () | sysvshm () | tokenizer (0.1) | xml () | xmlreader (0.1) | xmlrpc (0.51) | xmlwriter (0.1) | xsl (0.1) | zip (1.12.5) | mysql (1.0) | cgi-fcgi () | mhash () | Zend Engine (2.6.0) |
Potential Missing Extensions ::

Switch User Environment :: PHP CGI: No | Server SU: No | PHP SU: No | Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (755) |

Elevated Permissions (First 10) ::
Database Information :: wrote:Database statistics :: Uptime: 22295226 | Threads: 1 | Questions: 552995534 | Slow queries: 15383 | Opens: 309711264 | Flush tables: 1 | Open tables: 400 | Queries per second avg: 24.803 |
Extensions Discovered :: wrote:Components :: Site ::
Core :: com_mailto (3.0.0) 1 | com_wrapper (3.0.0) 1 |
3rd Party:: WF_XHTMLXTRAS_TITLE (2.3.3.2) ? | WF_CLIPBOARD_TITLE (2.3.3.2) ? | WF_IMGMANAGER_TITLE (2.3.3.2) ? | WF_NONBREAKING_TITLE (2.3.3.2) ? | WF_PREVIEW_TITLE (2.3.3.2) ? | WF_ANCHOR_TITLE (2.3.3.2) ? | WF_INLINEPOPUPS_TITLE (2.3.3.2) ? | WF_PRINT_TITLE (2.3.3.2) ? | WF_CONTEXTMENU_TITLE (2.3.3.2) ? | WF_VISUALCHARS_TITLE (2.3.3.2) ? | WF_LAYER_TITLE (2.3.3.2) ? | WF_DIRECTIONALITY_TITLE (2.3.3.2) ? | WF_STYLE_TITLE (2.3.3.2) ? | WF_AUTOSAVE_TITLE (2.3.3.2) ? | WF_SPELLCHECKER_TITLE (2.3.3.2) ? | WF_VISUALBLOCKS_TITLE (2.3.3.2) ? | WF_LINK_TITLE (2.3.3.2) ? | WF_CLEANUP_TITLE (2.3.3.2) ? | WF_SOURCE_TITLE (2.3.3.2) ? | WF_KITCHENSINK_TITLE (2.3.3.2) ? | WF_BROWSER_TITLE (2.3.3.2) ? | WF_TEXTCASE_TITLE (2.3.3.2) ? | WF_TABLE_TITLE (2.3.3.2) ? | WF_ARTICLE_TITLE (2.3.3.2) ? | WF_MEDIA_TITLE (2.3.3.2) ? | WF_LISTS_TITLE (2.3.3.2) ? | WF_FULLSCREEN_TITLE (2.3.3.2) ? | WF_SEARCHREPLACE_TITLE (2.3.3.2) ? | WF_CHARMAP_TITLE (2.3.3.2) ? | WF_POPUPS_JCEMEDIABOX_TITLE (2.3.3.2) ? | WF_POPUPS_WINDOW_TITLE (2.3.3.2) ? | WF_FILESYSTEM_JOOMLA_TITLE (2.3.3.2) ? | WF_LINKS_JOOMLALINKS_TITLE (2.3.3.2) ? | WF_LINK_SEARCH_TITLE (2.3.3.2) ? | WF_AGGREGATOR_VIMEO_TITLE (2.3.3.2) ? | WF_AGGREGATOR_GOOGLEMAPS_TITLE (2.3.3.2) ? | WF_AGGREGATOR_VINE_TITLE (2.3.3.2) ? | WF_AGGREGATOR_[youtube]_TITLE (2.3.3.2) ? | WF_MEDIAPLAYER_JCEPLAYER_TITLE (2.3.3.2) ? |

Components :: Admin ::
Core :: com_admin (3.0.0) 1 | com_languages (3.0.0) 1 | com_users (3.0.0) 1 | com_weblinks (3.0.0) 1 | com_joomlaupdate (3.0.0) 1 | com_installer (3.0.0) 1 | com_categories (3.0.0) 1 | com_banners (3.0.0) 1 | com_newsfeeds (3.0.0) 1 | com_login (3.0.0) 1 | com_config (3.0.0) 1 | com_redirect (3.0.0) 1 | com_templates (3.0.0) 1 | com_messages (3.0.0) 1 | com_finder (3.0.0) 1 | com_checkin (3.0.0) 1 | com_plugins (3.0.0) 1 | com_search (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_tags (3.1.0) 1 | com_cache (3.0.0) 1 | com_menus (3.0.0) 1 | com_content (3.0.0) 1 | com_media (3.0.0) 1 | com_modules (3.0.0) 1 |
3rd Party:: UniForm (1.3.0) ? | ImageShow (4.6.0) ? | ImageShow (4.6.0) ? | Ninja RSS Syndicator (2.0.5) 1 | RSForm! (1.4.0 R48) ? | BreezingForms (Lite (build 8) 1 | JCE (2.3.3.2) ? | com_falang (1.3.1) 1 | FaLang (1.7.0) ? | Categories (1.0.0) ? | PowerAdmin (2.1.0) ? |

Modules :: Site ::
Core :: mod_whosonline (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_related_items (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_articles_archive (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_tags_similar (3.1.0) 1 | mod_banners (3.0.0) 1 | mod_search (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_languages (3.0.0) 1 | mod_articles_latest (3.0.0) 1 | mod_stats (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_login (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_syndicate (3.0.0) 1 | mod_weblinks (3.0.0) 1 | mod_users_latest (3.0.0) 1 | mod_finder (3.0.0) 1 |
3rd Party:: mod_falang (1.3.0) 1 | RAXO Module Template - All-mode Def (1.4) ? | RAXO Module Template - All-mode Lis (1.4) ? | RAXO Module Template - All-mode Col (1.4) ? | RAXO All-mode PRO (1.0) 1 | JSN UniForm (1.3.0) 1 | JSN ImageShow (4.6.0) 1 |

Modules :: Admin ::
Core :: mod_latest (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_stats_admin (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_logged (3.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_status (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_login (3.0.0) 1 | mod_version (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_popular (3.0.0) 1 | mod_title (3.0.0) 1 |
3rd Party:: mod_poweradmin (2.1.0) 1 | JSN ImageShow Quick Icons (4.6.0) 1 |

Libraries ::
Core ::
3rd Party::

Plugins ::
Core :: plg_user_profile (3.0.0) 0 | plg_user_joomla (3.0.0) 1 | plg_user_contactcreator (3.0.0) 0 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_categories (3.0.0) 1 | plg_finder_weblinks (3.0.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_contacts (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | plg_search_newsfeeds (3.0.0) 1 | plg_search_categories (3.0.0) 1 | plg_search_weblinks (3.0.0) 1 | plg_search_content (3.0.0) 1 | plg_search_contacts (3.0.0) 1 | plg_authentication_gmail (3.0.0) 0 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_ldap (3.0.0) 0 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_extension_joomla (3.0.0) 1 | plg_system_p3p (3.0.0) 1 | plg_system_highlight (3.0.0) 1 | plg_system_logout (3.0.0) 1 | plg_system_languagefilter (3.0.0) 1 | plg_system_remember (3.0.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_sef (3.0.0) 1 | plg_system_redirect (3.0.0) 1 | plg_system_cache (3.0.0) 0 | plg_system_debug (3.0.0) 1 | plg_captcha_recaptcha (3.0.0) 1 | plg_content_vote (3.0.0) 1 | plg_content_loadmodule (3.0.0) 1 | plg_content_geshi (3.0.0) 0 | plg_content_finder (3.0.0) 0 | plg_content_pagebreak (3.0.0) 1 | plg_content_joomla (3.0.0) 1 | plg_content_emailcloak (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 |
3rd Party:: JSN PowerAdmin extended - com_users (2.1.0) 1 | JSN PowerAdmin extended - com_webli (2.1.0) ? | JSN PowerAdmin extended - com_conte (2.1.0) ? | plg_quickicon_jcefilebrowser (2.3.3.2) 1 | plg_editors_tinymce (3.5.6) 1 | plg_editors_jce (2.3.3.2) 1 | plg_editors_codemirror (1.0) 1 | Theme Slider (1.1.3) 1 | Source Picasa (1.1.4) 1 | Theme Classic (1.2.2) 1 | System - JSN PowerAdmin (2.1.0) 1 | plg_system_falangdriver (1.3.0) 0 | plg_system_jsnframework (1.3.2) 1 | plg_system_jsntplframework (1.1.1) 1 | System - JSN ImageShow (4.6.0) 1 | Content - RSForm! Pro (1.4.0) 1 | BreezingForms (1.8) 1 | PLG_EMBED_GOOGLE_MAP (1.3.0) 1 | JSN_UNIFORM_PLUGIN_CONTENT_TITLE (1.3.0) 1 | Content - JSN ImageShow (4.6.0) 1 | Light Gallery (1.0.1) 1 | JSN_UNIFORM_PLUGIN_BUTTON_TITLE (1.3.0) 1 | Button - ImageShow (4.6.0) 1 |
Templates Discovered :: wrote:Templates :: Site :: beez3 (3.1.0) 1 | jsn_boot_pro (2.0.1) 1 | protostar (1.0) 1 |
Templates :: Admin :: isis (1.0) 1 | hathor (3.0.0) 1 | bluestork (2.5.0) 1 |
Last edited by toivo on Wed Nov 18, 2020 8:14 am, edited 1 time in total.
Reason: mod note: moved from 3.x Administration

User avatar
AMurray
Joomla! Champion
Joomla! Champion
Posts: 6195
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Joomla! Update error

Post by AMurray » Wed Nov 18, 2020 9:07 am

You're a Long way behind 3.9.22 (3.1.5 was released 8 years ago).
witdba wrote:Update server is "Long Term Support".
Stick to the "Default" update channel not "Long Term Support".

Refer to the resources below for help:

https://docs.joomla.org/Help38:Componen ... figuration

https://docs.joomla.org/J3.x:Updating_J ... ll_Method). (up to 3.5 this should work)

https://docs.joomla.org/J3.x:Updating_f ... ng_version (beyond 3.5.x). You also need at this point to update the Joomla update component.




First though, I'd make sure all your extensions are compatible (uninstall those that are not), and you make a backup before proceeding. (your FPA indicates no backup component, so at minimum you could do a backup through your web-host e.g. cPanel should have a backup utility.)
Regards,
--------------------------------------------------------------
A Murray
Help you I can, yes!. Post your question, you should. Keep it on topic you must!
Use the Forc....Forum Post Assistant my young Padawan!

witdba
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Sun Aug 16, 2020 4:10 pm

Re: Joomla! Update error

Post by witdba » Wed Nov 18, 2020 10:17 am

Thank you very much for your reply.
AMurray wrote:
Wed Nov 18, 2020 9:07 am
You're a Long way behind 3.9.22 (3.1.5 was released 8 years ago).
That's my sad legacy...
AMurray wrote:
Wed Nov 18, 2020 9:07 am
witdba wrote:Update server is "Long Term Support".
Stick to the "Default" update channel not "Long Term Support".
There is no such option. LTS is recommended option (so I think is the same).
Image
AMurray wrote:
Wed Nov 18, 2020 9:07 am
Refer to the resources below for help:

https://docs.joomla.org/Help38:Componen ... figuration

https://docs.joomla.org/J3.x:Updating_J ... ll_Method). (up to 3.5 this should work)

https://docs.joomla.org/J3.x:Updating_f ... ng_version (beyond 3.5.x). You also need at this point to update the Joomla update component.
I tried to Upload and Install the latest (3.9.22) then (after fail) the mentioned (3.5.0) versions. Archive was (automatically) copied to the temporary catalog on the server and unzipped successfully. Both times I've got following warning:
Image
"JInstaller: Install: Cannot find Joomla XML setup file".

Current Joomla! catalog content was not changed.

Can I try to just copy unzipped files over their current versions?
AMurray wrote:
Wed Nov 18, 2020 9:07 am
First though, I'd make sure all your extensions are compatible (uninstall those that are not), and you make a backup before proceeding. (your FPA indicates no backup component, so at minimum you could do a backup through your web-host e.g. cPanel should have a backup utility.)
Thank you very much for your advice.

User avatar
sozzled
Joomla! Exemplar
Joomla! Exemplar
Posts: 9862
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia

Re: Joomla! Update error

Post by sozzled » Wed Nov 18, 2020 8:08 pm

There's a bit to unpack here.

1) Yes, J! 3.1.5 is extremely old—released seven years ago—not to mention all the extensions that have long since passed into a distant, forgotten memory.

2) Updating from J! 3.1.5 through to J! 3.9.22 is often not as straightforward as things may appear. For example, take this discussion on a similar set of problems here: >>> viewtopic.php?f=710&t=981975 <<<

3) The idea of "long term support" is something of a myth (or folklore). Support for one minor version of J! usually ends soon after a new minor version is released. There's a slight different when it comes to major versions (e.g. J! 1.0, J! 1.5, J! 1.6/1.7/2.5, J! 3.x) but that support usually ends about two years after the last release for each series.

4) Going from J! 3.1.5 through to J! 3.9.22 needs to be done in stages. In my recent experience, I found that the Joomla! Update component did not help me with the first stages and I needed to use the Extension Manager (which is kind of counter intuitive but it seemed to work in the test that I performed).

5) The FPA report shows that you still have the bluestork template (designed for J! 2.5) installed and this does not with J! 3.x. The FPA report also shows that there's an open base directive in effect and this may compromise your ability to manage your website.

6) I would also enable J! debug mode to see if there are any hidden errors caused by third-party extensions that may be broken, just for the sake of completeness.

Good luck. :)
https://www.kuneze.com/blog
“If you think I’m wrong then say, ‘I think you’re wrong.’ If you say ‘You’re wrong!’, how do you know?” :)

witdba
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Sun Aug 16, 2020 4:10 pm

Re: Joomla! Update error

Post by witdba » Wed Nov 18, 2020 10:20 pm

Thank you very much for your valuable advice.

Nor the "Joomla! Update" component nor the "Extension Manager" was not able to update the CMS.

I updated the Joomla! to 3.5 manually: https://docs.joomla.org/Updating_Joomla_(Manual_Method). All looks working well (at least Joomla! Update is not hangs now before an error):

Image

But I still cannot update thru Extension Manager with same error (I tried to upgrade to 3.9.22 and to 3.5.1 with the same result; I tried to "Upload and Install" and to "Install from directory" with similar effect):

Image

I used correct (update) versions of zip files. There is although one difference now: earlier the zip file was successfully automatically uploaded (with Upload and Install option) and now I can't see it in the tmp directory...
sozzled wrote:
Wed Nov 18, 2020 8:08 pm
4) Going from J! 3.1.5 through to J! 3.9.22 needs to be done in stages. In my recent experience, I found that the Joomla! Update component did not help me with the first stages and I needed to use the Extension Manager (which is kind of counter intuitive but it seemed to work in the test that I performed).
I'm on the way... But the Extension Manager problem stucks me. I guess the problem may be caused by PHP configuration...
sozzled wrote:
Wed Nov 18, 2020 8:08 pm
The FPA report also shows that there's an open base directive in effect and this may compromise your ability to manage your website.
Should I ask my hoster to re-configure it?..

Thank you very much!

User avatar
sozzled
Joomla! Exemplar
Joomla! Exemplar
Posts: 9862
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia

Re: Joomla! Update error

Post by sozzled » Wed Nov 18, 2020 10:26 pm

Please read the discussion topic I mentioned before. You cannot update from J! 3.5.1 using the Extension Manager; please don't try it or ask questions about it. Thanks.
https://www.kuneze.com/blog
“If you think I’m wrong then say, ‘I think you’re wrong.’ If you say ‘You’re wrong!’, how do you know?” :)

witdba
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Sun Aug 16, 2020 4:10 pm

Re: Joomla! Update error

Post by witdba » Sat Nov 21, 2020 3:46 pm

Thanks to all.

After applying 3.5.1 patch (manually) the "Upload and update" tab appeared on the "Joomla! Update" page with "Upload and Install" button. (I admit that if I had cleared caches and cookies earlier a tab appeared right after upgrade to 3.5.0.) After that all upgrades and patches were applied successfully and painlessly.

Still have problems with accessibility of update sites, but this I hope due to configuration on my host environment (beyond my responsibilities) - php or firewall.


Post Reply

Return to “Migrating and Upgrading to Joomla! 3.x”